Skip to content

Ncua5300⁠

Perform various operations for Symitar parameters.

Operations⁠

getNcua5300SelectFields⁠

POST

Execute the persistent ParameterService getNcua5300SelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getNcua5300SelectFields
POST /nexum/627/persistent/parameter/getNcua5300SelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllNcua5300Fields": true,
    "Ncua5300Fields": {
      "AccruedDividends": true,
      "AccruedInterestonInvestment": true,
      "AccruedInterestonLoans": true,
      "AccumGainsAvailSale": true,
      "AccumGainsCashFlow": true,
      "AgriculturalLoans": true,
      "AllBankruptcyWarnList": true,
      "AllOtherAssets": [
        0
      ],
      "AllOtherInvestments": true,
      "AllOtherInvestmtCcu": true,
      "AllOtherNonRealEstLoans": true,
      "AllOtherShares": true,
      "AllOtherUnsecLoans": true,
      "AllowanceLoanLease": true,
      "ApOtherLiabilities": true,
      "AppropNonConformInvstm": true,
      "AvailforSaleSecurities": true,
      "Bankruptcy11WarnList": true,
      "Bankruptcy13WarnList": true,
      "Bankruptcy7WarnList": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateNcua5300ByID⁠

POST

Execute the persistent ParameterService updateNcua5300ByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateNcua5300ByID
POST /nexum/627/persistent/parameter/updateNcua5300ByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "Ncua5300Fields": {
    "AccruedDividends": "string",
    "AccruedInterestonInvestment": "string",
    "AccruedInterestonLoans": "string",
    "AccumGainsAvailSale": "string",
    "AccumGainsCashFlow": "string",
    "AgriculturalLoans": "string",
    "AllBankruptcyWarnList": {
      "Bit": [
        0
      ]
    },
    "AllOtherAssets": [
      {
        "EntryId": 0,
        "AllOtherAssets": "string"
      }
    ],
    "AllOtherInvestments": "string",
    "AllOtherInvestmtCcu": "string",
    "AllOtherNonRealEstLoans": "string",
    "AllOtherShares": "string",
    "AllOtherUnsecLoans": "string",
    "AllowanceLoanLease": "string",
    "ApOtherLiabilities": "string",
    "AppropNonConformInvstm": "string",
    "AvailforSaleSecurities": "string",
    "Bankruptcy11WarnList": {
      "Bit": [
        0
      ]
    },
    "Bankruptcy13WarnList": {
      "Bit": [
        0
      ]
    },
    "Bankruptcy7WarnList": {
      "Bit": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}